// Active R-Name Controller's Definitions



typedef enum {
	FIND_AND_REPLACE = 0,
	NUMBER_SEQUENTIALLY = 1,
	
	CHANGE_CHARACTERS_TO_ALL_UPPERCASES = 2,
	CHANGE_CHARACTERS_TO_ALL_LOWERCASES = 3,
	CHANGE_CHARACTERS_TO_CAPITALIZED_WORDS = 4,
	
	ADD_CHARACTERS_AT_BEGINNING = 5,
	ADD_CHARACTERS_AT_END = 6,
	ADD_CHARACTERS_BEFORE_EXTENSION = 7,
	
	REMOVE_CHARACTERS_FROM_BEGINNING = 8,
	REMOVE_CHARACTERS_FROM_END = 9,
	REMOVE_CHARACTERS_AT_RANGE = 10,
	
	ADD_EXTENSION_TO_FILENAME = 11,
	REPLACE_EXTENSION_OF_FILENAME = 12,
	REMOVE_EXTENSION_OF_FILENAME = 13
} RenamingKinds;


typedef enum {
	NO_SORT = 0,
	
	BY_NAME_A_TO_Z_CASE_SENSITIVE = 1,
	BY_NAME_A_TO_Z = 2,
	
	BY_NAME_Z_TO_A_CASE_SENSITIVE = 3,
	BY_NAME_Z_TO_A = 4,
	
	BY_SMALLEST_SIZE_TO_LARGEST = 5,
	BY_LARGEST_SIZE_TO_SMALLEST = 6,
	
	BY_EARLIEST_MODIFICATION_DATE_TO_LATEST = 7,
	BY_LATEST_MODIFICATION_DATE_TO_EARLIEST = 8,
	
	BY_EARLIEST_CREATION_DATE_TO_LATEST = 9,
	BY_LATEST_CREATION_DATE_TO_EARLIEST = 10
} SortKinds;


#define RNAME_RELATIVE_PLIST_PATH @"Library/Preferences/R-Name.plist"
//#define DEFAULT_PLIST_RELATIVE_PATH @"Contents/Resources/DefaultPrefs.plist"

#define CURRENT_VERSION_NUMBER 210
// Show the donation window once per this value.
#define DONATION_WINDOW_FREQUENCY 20


#define TABLE_COLUMN_ID_ONOFF @"ON_OFF"
#define TABLE_COLUMN_ID_OLD @"OLD"
#define TABLE_COLUMN_ID_NEW @"NEW"

#define MAX_EXTENSIONS_IN_VIEW_OF_COMBOBOX 12


#define AUTO_SAVE_NAME_MAIN_WINDOW @"MainWindow"
#define AUTO_SAVE_NAME_PREFS_WINDOW @"PrefsWindow"

// UserDefaults Keys

#define UDKEY_ADD_FILES @"AddFiles"
#define UDKEY_ADD_FOLDERS @"AddFolders"
#define UDKEY_RECURSE_FOLDER @"RecurseFolder"
#define UDKEY_SELECTED_METHOD @"SelectedMethod"

#define UDKEY_EXTENSIONS_LIST @"ExtensionsList"
#define UDKEY_PREF_CLEAR_LIST_AUTOMATICALLY @"PrefClearListAutomatically"
#define UDKEY_PREF_QUIT_APP @"PrefQuitApp"
#define UDKEY_PREF_OPAQEU_LEVEL @"PrefOpaqueLevelOfWindows"

#define UDKEY_CHANGE_CASES_PRESERVE_EXTENSION @"ChangeCasesPreserveExtension"

#define UDKEY_REMV_CHAR_RANGE_PRESERVE_EXTENSION @"RemvCharRangePreserveExtension"
#define UDKEY_REMV_CHAR_RANGE_FROM_BEGINNIG @"RemvCharRangeFromBeginning"
#define UDKEY_REMV_CHAR_RANGE_FROM_END @"RemvCharRangeFromEnd"
#define UDKEY_REMV_CHAR_RANGE_FROM_NUMBER @"RemvCharRangeFromNumber"
#define UDKEY_REMV_CHAR_RANGE_NUM_OF_CHARS @"RemvCharRangeNumOfChars"

#define UDKEY_FIND_REP_CASE_INSENSITIVE @"FindRepCaseInsensitive"
#define UDKEY_FIND_REP_PRESERVE_EXTENSION @"FindRepPreserveExtension"
#define UDKEY_FIND_REP_REGEXP @"FindRepRegexp"
#define UDKEY_FIND_REP_REPLACE_ALL @"FindRepReplaceAll"

#define UDKEY_REMV_CHAR_BEG_OR_END_PRESERVE_EXTENSION @"RemvCharBegOrEndPreserveExtension"
#define UDKEY_REMV_CHAR_BEG_OR_END_NUM_OF_CHARS @"RemvCharBegOrEndNumOfChars"

#define UDKEY_SEQ_NUM_PRESERVE_EXTENSION @"SeqNumPreserveExtension"
#define UDKEY_SEQ_NUM_SAME_FIGS @"SeqNumSameFigs"
#define UDKEY_SEQ_NUM_SORT @"SeqNumSort"
#define UDKEY_SEQ_NUM_FIRST_NUM @"SeqNumFirstNum"
#define UDKEY_SEQ_NUM_LEAST_FIGS @"SeqNumLeastFigs"
#define UDKEY_SEQ_NUM_STEP_VAL @"SeqNumStepVal"

#define UDKEY_PREF_VERSION @"PreferencesVersion"


// Localizable.strings
#define LSTR_CHECK_WEB_URL @"CheckWebURL"
#define LSTR_UNICEF_WEB_URL @"UNICEFWebURL"
#define LSTR_UNICEF_DONATION_URL @"UNICEFDonationURL"
#define LSTR_MAIL_FOR_UNICEF_DONATION @"AuthorsMailAddressForUNICEFDonation"
#define LSTR_MESSAGE_DONE @"MessageDone"
#define LSTR_ERR_MESSAGE_EXIST @"ErrMessageExist"
#define LSTR_ERR_MESSAGE_LONG @"ErrMessageLong"
#define LSTR_ERR_MESSAGE_DOT_BEGINNING @"ErrMessageDotBeginning"
#define LSTR_ERR_MESSAGE_INVALID_REGEXP @"ErrMessageInvalidRegexp"
#define LSTR_ERR_MESSAGE_INVALID_CAHR @"ErrMessageInvalidCharacter"



